OpenAPI operations
Revoke a portal token
const url = 'https://api.hooks.events/v1/applications/example/portal-tokens/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.hooks.events/v1/applications/example/portal-tokens/example \ --header 'Authorization: Bearer <token>'Requires the endpoints:write scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”Success
Validation error
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Missing or invalid credentials
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}The credential lacks the required scope, or the workspace is not writable
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Resource not found
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Rate limited
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Headers
Section titled “Headers”Requests allowed per window
Seconds until the window resets
Seconds to wait before retrying. Absent when the rejection has no retry time (for example the Free lifetime quota).
Request allowance for the workspace’s plan
Requests left in the allowance after this request